package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRArchivesMove;
/**
 * 关系型数据实体[HRArchivesMove] 查询条件对象
 */
@Slf4j
@Data
public class HRArchivesMoveSearchContext extends QueryWrapperContext<HRArchivesMove> {

	private String n_hrarchivesmovename_like;//[档案调档名称]
	public void setN_hrarchivesmovename_like(String n_hrarchivesmovename_like) {
        this.n_hrarchivesmovename_like = n_hrarchivesmovename_like;
        if(!ObjectUtils.isEmpty(this.n_hrarchivesmovename_like)){
            this.getSearchCond().like("hrarchivesmovename", n_hrarchivesmovename_like);
        }
    }
	private String n_hrarchivesid_eq;//[档案信息标识]
	public void setN_hrarchivesid_eq(String n_hrarchivesid_eq) {
        this.n_hrarchivesid_eq = n_hrarchivesid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrarchivesid_eq)){
            this.getSearchCond().eq("hrarchivesid", n_hrarchivesid_eq);
        }
    }
	private String n_movetype_eq;//[调档类型]
	public void setN_movetype_eq(String n_movetype_eq) {
        this.n_movetype_eq = n_movetype_eq;
        if(!ObjectUtils.isEmpty(this.n_movetype_eq)){
            this.getSearchCond().eq("movetype", n_movetype_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrarchivesmovename", query)   
            );
		 }
	}
}



